Create a payment link
curl --request POST \
--url https://api.arcenpay.com/api/v1/payment-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"recipientWallet": "<string>",
"description": "<string>",
"companyId": "<string>",
"catalogAddOnId": "<string>",
"invoiceId": "<string>",
"amount": 123,
"acceptedToken": "<string>",
"currency": "USDC",
"chainId": 123,
"isAgentic": true,
"successUrl": "<string>",
"cancelUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
'import requests
url = "https://api.arcenpay.com/api/v1/payment-links"
payload = {
"name": "<string>",
"recipientWallet": "<string>",
"description": "<string>",
"companyId": "<string>",
"catalogAddOnId": "<string>",
"invoiceId": "<string>",
"amount": 123,
"acceptedToken": "<string>",
"currency": "USDC",
"chainId": 123,
"isAgentic": True,
"successUrl": "<string>",
"cancelUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
recipientWallet: '<string>',
description: '<string>',
companyId: '<string>',
catalogAddOnId: '<string>',
invoiceId: '<string>',
amount: 123,
acceptedToken: '<string>',
currency: 'USDC',
chainId: 123,
isAgentic: true,
successUrl: '<string>',
cancelUrl: '<string>',
expiresAt: '2023-11-07T05:31:56Z',
metadata: {}
})
};
fetch('https://api.arcenpay.com/api/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentLink": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"kind": "ADDON",
"status": "ACTIVE",
"amount": "<string>",
"currency": "<string>",
"acceptedToken": "<string>",
"recipientWallet": "<string>",
"chainId": 123,
"checkoutUrl": "<string>",
"isAgentic": true,
"agenticSpecUrl": "<string>"
}
}{
"error": "<string>",
"details": {}
}Payment links
Create a payment link
Creates a hosted payment link (ADDON, INVOICE, or CUSTOM). Auth: legacy api_… key or dashboard session.
POST
/
payment-links
Create a payment link
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
ADDON, INVOICE, CUSTOM Token address or symbol (USDC, USDT).
Response
Payment link created
Show child attributes
Show child attributes
Last modified on September 19, 2026

